[build-system]
requires = ["Cython", "setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "dataprep"
version = "0.1.0"
authors = [
  { name="Veit Schiele", email="veit@cusy.io" },
]
description = "A small dataprep package"
readme = "README.rst"
requires-python = ">=3.7"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: BSD License",
    "Operating System :: OS Independent",
]
dependencies = [
    "Cython",
    "pandas",
]

[project.optional-dependencies]
tests = [
    "coverage[toml]",
    "pytest>=6.0",
]
docs = [
    "furo",
    "sphinxext-opengraph",
    "sphinx-copybutton",
    "sphinx_inline_tabs"
]
dev = [
    "dataprep[tests, docs]",
    "pre-commit"
]

[project.urls]
"Homepage" = "https://github.com/veit/dataprep"
"Bug Tracker" = "https://github.com/veit/dataprep/issues"
